textures/stonehalls2/FOG
{
	qer_editorimage textures/stonehalls2/fog_stonehalls2.tga
	qer_trans 3.3
	fogparms ( 0 0 0 ) 17000
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}






textures/stonehalls2/dsiglass
{
	qer_editorimage textures/stonehalls2/dsiglass.tga
	surfaceparm trans
	surfaceparm nodamage
	cull disable
	qer_trans 0.5
	{
		map textures/stonehalls2/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}



textures/stonehalls2/ice_slick2
{
    qer_editorImage textures/stonehalls2/ice_slick2_green
    q3map_surfacelight 100
    qer_trans 0.75
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/stonehalls2/ice_slick2_green.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}







textures/stonehalls2/padtrim_slick
{
	qer_editorimage textures/stonehalls2/wood5b.jpg
	surfaceparm slick
	surfaceparm woodsteps
	surfaceparm nodamage
	q3map_surfacelight 40
	implicitMap textures/stonehalls2/wood5b.jpg
}


textures/stonehalls2/darktrim
{
	qer_editorimage textures/stonehalls2/woodtrim2-1.tga
	surfaceparm woodsteps
	surfaceparm nodamage
	q3map_surfacelight 40
	implicitMap textures/stonehalls2/woodtrim2-1.tga
}


textures/stonehalls2/woodpad
{
	qer_editorimage textures/stonehalls2/wood5b.jpg
	surfaceparm woodsteps
	surfaceparm nodamage
	q3map_surfacelight 40
	implicitMap textures/stonehalls2/wood5b.jpg
}




textures/stonehalls2/nodelaypad
{
	qer_editorimage textures/stonehalls2/wood5.jpg
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	surfaceparm nodamage
	q3map_surfacelight 40
	implicitMap textures/stonehalls2/wood5.jpg
}






textures/stonehalls2/pink
{
	cull none
	//deformVertexes wave 1 sin -0.5 0 0 1
	qer_trans 0.5
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nodamage
	
	q3map_surfacelight 1000
	q3map_backSplash 0.5 16
	{
		map textures/stonehalls2/pink.tga
		//blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.0 0.44 )
		tcGen environment
		tcMod scroll 0 -0
	}
}	


textures/stonehalls2/portaali
{      
	qer_editorImage textures/stonehalls2/portaali.tga
	q3map_surfacelight 60
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	noPicMip 
	deformVertexes autosprite	
	{
		clampMap textures/stonehalls2/portaali.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
	}
	{
		clampMap textures/stonehalls2/portaali.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
	}
}

textures/stonehalls2/portaali2
{      
	qer_editorImage textures/stonehalls2/portaali2.tga
	q3map_surfacelight 30
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	noPicMip 
	deformVertexes autosprite	
	{
		clampMap textures/stonehalls2/portaali2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
	}
	{
		clampMap textures/stonehalls2/portaali2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
	}
}


textures/stonehalls2/lightsource
{
    //qer_editorimage path/to/editorimage.tga 
    q3map_surfacelight 450             // adjust brighter/lower
    q3map_backSplash 0 23               // 0% light directed back to the surface
     q3map_lightRGB 1.0 1.0 1.2        // color of light emitted, adjust to your liking
    //surfaceparm nomarks                 // no bulletmarks since it's supposed to be emptiness
    //surfaceparm noimpact                // if you don't want projectiles to hit it (no need for nomarks if using this)
    surfaceparm nonsolid                // if you need it to be nonsolid (no need for noimpact/nomarks if using this)
    surfaceparm nolightmap
    {
        map $whiteimage
        rgbGen const ( 0.0 0.0 0.0 )    // pure black
		//alphaFunc GT0                   // invisible brush
    }
}